Skip to main content
POST
/
physical-cards
/
{id}
/
order
Order a physical card
curl --request POST \
  --url https://business.bfinance.app/external/api/physical-cards/{id}/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardType": "budget",
  "shippingData": {
    "firstName": "John",
    "lastName": "Doe",
    "email": "john.doe@example.com",
    "phone": "1234567890",
    "phoneCode": "+1",
    "addressLine1": "123 Main St",
    "city": "New York",
    "state": "NY",
    "postalCode": "10001",
    "country": "USA",
    "addressLine2": "Apt 4B"
  }
}
'
{
  "status": "success",
  "message": "Physical card has been ordered"
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string
required

ID of the card for which the physical version is being ordered

Body

application/json
cardType
enum<string>
required

Type of the card ("budget" or "prepaid")

Available options:
budget,
prepaid
Example:

"budget"

shippingData
object
required

Shipping details for the physical card

Response

Successfully ordered the physical card

status
string
Example:

"success"

message
string
Example:

"Physical card has been ordered"